org.apache.ignite.spi.systemview.view

## Interface SystemViewRowAttributeWalker<R>

All Known Implementing Classes:
  AtomicLongViewWalker, AtomicReferenceViewWalker, AtomicSequenceViewWalker, AtomicStampedViewWalker, BaselineNodeAttributeViewWalker, BaselineNodeViewWalker, BinaryMetadataViewWalker, CacheGroupIoViewWalker, CacheGroupViewWalker, CachePagesListViewWalker, CacheViewWalker, ClientConnectionViewWalker, ClusterNodeViewWalker, ComputeJobViewWalker, ComputeTaskViewWalker, ContinuousQueryViewWalker, CountDownLatchViewWalker, MetastorageViewWalker, NodeAttributeViewWalker, NodeMetricsViewWalker, PagesListViewWalker, PartitionStateViewWalker, QueueViewWalker, ReentrantLockViewWalker, ScanQueryViewWalker, SemaphoreViewWalker, ServiceViewWalker, SetViewWalker, SqlQueryHistoryViewWalker, SqlQueryViewWalker, StripedExecutorTaskViewWalker, TransactionViewWalker

    public interface SystemViewRowAttributeWalker<R>

Utility class for quick iteration over row properties.

### Nested Class Summary

Nested Classes
`static interface` `SystemViewRowAttributeWalker.AttributeVisitor` Attribute visitor.
`static interface` `SystemViewRowAttributeWalker.AttributeWithValueVisitor` Attribute visitor.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`int` `count()`
`default List<String>` `filtrableAttributes()`
`void` `visitAll(R row, SystemViewRowAttributeWalker.AttributeWithValueVisitor visitor)` Calls visitor for each row attribute.
`void` `visitAll(SystemViewRowAttributeWalker.AttributeVisitor visitor)` Calls visitor for each row attribute.

### Method Detail

#### count

    int count()

Returns:
  Count of a row properties.

#### visitAll

    void visitAll(SystemViewRowAttributeWalker.AttributeVisitor visitor)

Calls visitor for each row attribute.

Parameters:
  `visitor` - Attribute visitor.

#### visitAll

    void visitAll(R row,
                  SystemViewRowAttributeWalker.AttributeWithValueVisitor visitor)

Calls visitor for each row attribute. Value of the attribute also provided.

Parameters:
  `row` - Row to iterate.
  `visitor` - Attribute visitor.

#### filtrableAttributes

    default List<String> filtrableAttributes()

Returns:
  List of filtrable attributes for this system view.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022